function set_axes_equal_lim(h,MODE)
% set_axes_equal_lim	- set axes Xlim or Ylim to equal (min max of all)
%--------------------------------------------------------------------------------
% Input(s): 	h - set of handlers
%               MODE - 'Xlim' or 'Ylim'
% Output(s):	none
% Usage:	set_axes_equal_lim(h,'Ylim')

%
% Last modified 11.12.02
% Copyright (c) 2002 Igor Kagan					 
% kigor@tx.technion.ac.il
% http://igoresha.virtualave.net
%--------------------------------------------------------------------------------

if length(h)<2,
        return;
end

Lim = get(h,MODE);

for i=1:size(Lim,1);
        L(i,:) = Lim{i};
end
set(h,MODE,[min(min(L)) max(max(L))]); 